---

How to Install Bodhi Linux’s Moksha Desktop in Ubuntu 14.04 LTS and Linux Mint 17.2

We’ve created the following tutorial for all Ubuntu 14.04 LTS (Trusty Tahr) users who would like to take Bodhi Linux’s Moksha Desktop for a test drive and see what the fuss is all about. The instructions below should also work with any Ubuntu 14.04 LTS derivative, including Linux Mint 17.2.